let resultWrapper = document.querySelector('.ctSpinPopUp')
let wheel = document.querySelector('.wheelWrapper__imageBlock')
let spinBtn = document.querySelector('.spinBtn__text')
let spinBlock = document.querySelector('.ctSpinner')
let spinForm = document.querySelector('.ctSpinForm__block')
function spin() {
  if (!wheel.classList.contains('rotated')) {
    wheel.classList.add('super-rotation')
    setTimeout(function () {
      resultWrapper.classList.add('showPopup')
    }, 8000)
    setTimeout(function () {
      slideUp(spinBlock)
      slideDown(spinForm)
    }, 10000)
  }
}
function slideDown(el, duration = 500) {
  Object.assign(el.style, {
    position: 'absolute',
    display: 'block',
    visibility: 'hidden',
    height: 'auto',
    overflow: 'hidden',
  })
  const elHeight = el.offsetHeight
  el.style.removeProperty('position')
  el.style.removeProperty('visibility')
  el.style.height = '0px'
  el.animate([{ height: elHeight + 'px' }, { height: 'auto' }], { duration: duration, fill: 'forwards' })
  setTimeout(function () {
    el.style.removeProperty('height')
    el.style.removeProperty('overflow')
  }, duration)
}
function slideUp(el, duration = 500) {
  el.style.overflow = 'hidden'
  const animation = el.animate([{ height: el.offsetHeight + 'px' }, { height: '0px' }], {
    duration: duration,
    fill: 'forwards',
  })
  setTimeout(function () {
    el.style.removeProperty('height')
    el.style.removeProperty('overflow')
    el.style.display = 'none'
    animation.cancel()
  }, duration)
}
spinBtn.addEventListener('click', () => {
  spin()
  wheel.classList.add('rotated')
})
let closePopUpArr = ['.ctSpinContent__closeIcon', '.ctSpinContent__acceptBtn']
for (let i = 0; i < closePopUpArr.length; i++) {
  document.querySelector(closePopUpArr[i]).addEventListener('click', e => {
    if (
      document.querySelector('.ctTimerBlock__minutes') ||
      document.querySelector('.ctTimerBlock__seconds')
    ) {
      start_timer()
    }
    resultWrapper.classList.add('hidePopup')
  })
}
if (document.querySelector('.ctTimerBlock__minutes') || document.querySelector('.ctTimerBlock__seconds')) {
  let time = 600
  let intr
  function start_timer() {
    intr = setInterval(tick, 1000)
  }
  function tick() {
    time = time - 1
    let mins = Math.floor(time / 60)
    let secs = time - mins * 60
    if (mins === 0 && secs === 0) {
      clearInterval(intr)
    }
    secs = secs >= 10 ? secs : '0' + secs
    document.querySelector('.ctTimerBlock__minutes').innerHTML = '0' + mins
    document.querySelector('.ctTimerBlock__seconds').innerHTML = secs
  }
}
const PopUpCss = document.createElement('style')
PopUpCss.innerHTML = `
.ctSpinContent {
  position: absolute;
  max-width: 400px;
  width: 85%;
  margin: 0px auto;
  background: #ffffff none repeat scroll 0% 0%;
  text-align: center;
  padding: 10px;
  padding-top: 70px;
  padding-bottom: 20px;
  border-radius: 10px;
  animation: 0.7s ease 0s normal none 1 running pop-up-appear;
  right: auto;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}

.close-popup {
  position: absolute;
  width: 30px;
  height: 30px;
  background-size: 100%;
  top: -40px;
  border-radius: 50%;
  -webkit-box-shadow: 0 0 10px #fff;
  box-shadow: 0 0 10px #fff;
  right: -40px;
  cursor: pointer;
}
@keyframes pop-up-appear {
  0% {
    transform: translate(-50%, -2000px);
  }
  30% {
    transform: translate(-50%, 100px);
  }
  100% {
    transform: translate(-50%, -50%);
  }
}

  `
document.head.appendChild(PopUpCss)
